package com.iotechn.unimall.data.domain.market;

import com.iotechn.unimall.data.domain.SuperDO;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;
import com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.enums.FieldFill;
import com.iotechn.unimall.core.util.StringUtils;
import java.util.Date;

/**
 * 收货地址对象 market_receiving_address
 * 
 * @author jlb
 * @date 2022-08-01
 */
@Data
@TableName("market_receiving_address")
public class MarketReceivingAddress extends SuperDO {
    private static final long serialVersionUID = 1L;

    /**  */
    @TableId("id")
    private Long id;

    /**  */
    @Excel(name = "")
    @TableField("company_id")
    private Long companyId;

    /** 客户id */
    @Excel(name = "客户id")
    @TableField("cus_id")
    private String cusId;

    /** 收货人姓名 */
    @Excel(name = "收货人姓名")
    @TableField("consignee_name")
    private String consigneeName;

    /** 手机号 */
    @Excel(name = "手机号")
    @TableField("phone")
    private String phone;

    /** 所在地区 */
    @Excel(name = "所在地区")
    @TableField("location")
    private String location;

    /** 详细地址 */
    @Excel(name = "详细地址")
    @TableField("address")
    private String address;

    /** 状态 */
    @Excel(name = "状态")
    @TableField("status")
    private String status;

    /** 0：否（默认） 1：是 */
    @Excel(name = "0：否", readConverterExp = "默=认")
    @TableField("delete_flag")
    private Integer deleteFlag;

    /**  */
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("gmt_create")
    private Date gmtCreate;

    /**  */
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("gmt_update")
    private Date gmtUpdate;

    /**  */
    @Excel(name = "")
    @TableField("user_id")
    private Long userId;

    /**  */
    @Excel(name = "")
    @TableField("admin_id")
    private Long adminId;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("companyId", getCompanyId())
            .append("cusId", getCusId())
            .append("consigneeName", getConsigneeName())
            .append("phone", getPhone())
            .append("location", getLocation())
            .append("address", getAddress())
            .append("status", getStatus())
            .append("deleteFlag", getDeleteFlag())
            .append("gmtCreate", getGmtCreate())
            .append("gmtUpdate", getGmtUpdate())
            .append("userId", getUserId())
            .append("adminId", getAdminId())
            .toString();
    }
}
